Chuyển đến nội dung
Diễn đàn CADViet
cuongcv3

Lỗi khi dùng lệnh fillet

Các bài được khuyến nghị

Có ai biết lỗi này là gì k?

 

 

Command: f

FILLET

Current settings: Mode = TRIM, Radius = 5.0000

Select first object or [undo/Polyline/Radius/Trim/Multiple]:

Select second object or shift-select to apply corner:

Lines are non coplanar.

Command:

:s_dead:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có ai biết lỗi này là gì k?

Command: f

FILLET

Current settings: Mode = TRIM, Radius = 5.0000

Select first object or [undo/Polyline/Radius/Trim/Multiple]:

Select second object or shift-select to apply corner:

Lines are non coplanar.

Command:

:s_dead:

Các lines không đồng phẳng! Lệnh fillet chỉ thực hiện khi các lines cùng nằm trong 1 mặt phẳng. Bạn kiểm tra lại tọa độ các line sẽ thấy ngay!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các lines không đồng phẳng! Lệnh fillet chỉ thực hiện khi các lines cùng nằm trong 1 mặt phẳng. Bạn kiểm tra lại tọa độ các line sẽ thấy ngay!

Cảm ơn bác SSG, đúng như bác nghĩ.

Vậy có cách nào để đưa toàn bộ về 1 mặt phẳng tại Z = 0 k bác nhỉ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Cảm ơn bác SSG, đúng như bác nghĩ.

Vậy có cách nào để đưa toàn bộ về 1 mặt phẳng tại Z = 0 k bác nhỉ?

Bạn dùng lệnh FLATTEN của AutoCAD.

 

Hoặc lệnh SuperIron của CADViet: http://www.cadviet.com/upfiles/SIron.vlx

 

hoặc có thể xem thêm ở đây!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhân chủ đề về lệnh fillet mình có thể hỏi các bạn là tại sao mình copy dòng command gọi lệnh fillet trực tiếp ra màn hình cad( dòng màu đỏ) thì thực hiện được trong khi cho chạy file lisp thì không thực hiện được vậy????

 

Đây là code:

 

 

(Defun c:ct()

(setq a (cadr (entsel "nhap doi tuong 1"))

b (cadr (entsel "nhap doi tuong 2"))

)

(load "acettest.fas")

(c:expresstools)

(command ".fillet" a b "")

(princ)

)

Chỉnh sửa theo Mã Hoàng Vân Thanh

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

mình thấy chạy cũng bình thường mà, có thể là do cái dòng này (load "acettest.fas")và (c:expresstools)

, mình chẵn hiểu lệnh fillet thì cần gì phải load những thứ này, làm cho lisp làm việc chậm hơn rất nhiều?!

Và mình thấy cũng hơi lạ là hàm (setq a(cadr(entsel))) hàm này trả về điểm chọn đối tượng chứ ko phải là trả về tên đối tượng, vậy mà cad cũng hiểu để fillet?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

uh. Mình đã làm thử với điểm chọn là 1 tọa độ. Fillet vẫn hiểu bạn à. Vậy có khi là do bảng cad của mình có vấn đề gì đây.

Hhi. Mình vừa làm lại mấy dòng code. Đúng là với tọa độ thì chỉ thực hiện được dòng lệnh đó khi đang ở trong cad còn để chạy thì phải load entity name của nó.Cảm ơn bạn lp_hai nhiều nha!.^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lại một chút trục trặc với lệnh fillet nữa.hic.

Lênh này sai chỗ nào mà mình chạy ko dc....Hix.

 

 

 

;;;-------------------------------------------------------------

(defun makepl ( e d1 / ps pe d d2 p2)

(vl-load-com)

(setq

ps (vlax-curve-getStartPoint e)

pe (vlax-curve-getEndPoint e)

d (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e))

d2 d1

)

(command "pline")

(command ps)

(while (<= d2 d)

(setq p2 (vlax-curve-getPointAtDist e d2))

(command p2)

(setq d2 (+ d2 d1))

)

(command pe "")

)

 

;;-------------------------------------

(defun c:gdm1(/ e a1 m n)

(setq d1 0.5)

(setq

taphop (ssget )

k (sslength taphop)

oldos (getvar "osmode")

i 0

)

(setvar "osmode" 0)

(repeat (sslength taphop)

(setq e (ssname taphop i))

(makepl e d1)

(setq i (1+ i))

)

(command "erase" taphop "")

(setvar "osmode" oldos)

(setq i 1)

(while (<= i k)

(progn

(setq a1 (getpoint "\n Click mot diem vao duong may")

m (getreal "\n Ban muon gia duong may nay bao nhieu?"))

;;--------------------------------------------------

(if (= m 0)

(setq i (+ i 1))

)

;;-------------------------------------------------

(if (> m 0)

(progn

(setq n (getpoint "\n Ban muon gia duong may theo huong nao ?"))

(command "offset" m a1 n "")

(setq i (+ i 1))

)

)

;;---------------------------------------------

)

)

(setq x1 (entsel" \n Nhap doi tuong")

gt (nth 0 x1)

taphop (list gt)

i 2

)

(while (<= i k)

(setq x1 (entsel" \n Nhap doi tuong")

gt1 (cadr x1)

gt (nth 0 x1)

taphop1 (list gt)

taphop (append taphop1 taphop)

)

(if (= i k )

(progn

(command "copy" x1 "" gt1 gt1 "" "")

(setq dt1(entsel " \n Nhap doi tuong ve cuoi cung")

dt (nth 0 dt1)

)

)

)

(setq i (+ i 1))

)

(setq taphop (reverse taphop))

(command ".fillet" dt (nth 0 taphop) )

;;-----------------------------------------------

(setq i 0)

(while (<= i (+ k 1))

(command "fillet" (nth i taphop) (nth (+ i 1) taphop) )

(setq i (+ i 1))

)

 

(princ)

)

 

 

;-------------------------------------------------

Nếu chép đoạn màu đỏ ra một chương trình khác thì chạy được nhưng ghép vào chương trình này thì nó lại không hju.huhu

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có lẽ bạn nên đặt câu hỏi này bên box Autolisp, Topic "Hỏi về Lisp" thì đúng hơn. Đặt sai chỗ không ai muốn trả lời đâu. B)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có ai biết lỗi này là gì k?

 

 

Command: f

FILLET

Current settings: Mode = TRIM, Radius = 5.0000

Select first object or [undo/Polyline/Radius/Trim/Multiple]:

Select second object or shift-select to apply corner:

Lines are non coplanar.

Command:

sad.gif

Mình có cách này không pro nhưng trong 1 số trường hợp cũng rất hữu ích. Bạn áp dụng thử nhé.

Chọn các line muốn fillet > Ctrl + 1 > chuyển tọa độ Z về 0 (Start Z = 0, End Z = 0)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lỗi này là gì vậy mọi người???

 

 

Command: .fillet

Current settings: Mode = TRIM, Radius = 0.0000

Select first object or [uNdo/Polyline/Radius/Trim/mUltiple]:

Select first object or [uNdo/Polyline/Radius/Trim/mUltiple]:

Select second object or shift-select to apply corner: .fillet

 

*Invalid selection*

Expects a point or Window/Last/Crossing/BOX/Fence/WPolygon/CPolygon

; error: Function cancelled

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có ai biết lỗi này là gì k?

 

 

Command: f

FILLET

Current settings: Mode = TRIM, Radius = 5.0000

Select first object or [undo/Polyline/Radius/Trim/Multiple]:

Select second object or shift-select to apply corner:

Lines are non coplanar.

Command:

sad.gif

Hề hề hề.

Cái này thì Cad nó muốn bảo bạn rằng các line bạn chọn không đồng phẳng nên không fillet được.

Hãy kiểm tra lại nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

E cung dang thac mac ND giong bac, buc minh qua, toan phai ve ra cho khac roi move vao. vao Google dich"Lines are non coplanar" thi do loi khong dong phang, nhung cung 1 layer thi ko đồng phẳng nỗi gì nhỉ!

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

E cung dang thac mac ND giong bac, buc minh qua, toan phai ve ra cho khac roi move vao. vao Google dich"Lines are non coplanar" thi do loi khong dong phang, nhung cung 1 layer thi ko đồng phẳng nỗi gì nhỉ!

 Tí ngất ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chịu bác, đồng phẳng là theo hh không gian ý bác (e đoán thế :D) , mà lần sau bác viết có dấu nhé, đau mắt quá @@

E cung dang thac mac ND giong bac, buc minh qua, toan phai ve ra cho khac roi move vao. vao Google dich"Lines are non coplanar" thi do loi khong dong phang, nhung cung 1 layer thi ko đồng phẳng nỗi gì nhỉ!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chịu bác, đồng phẳng là theo hh không gian ý bác (e đoán thế :D) , mà lần sau bác viết có dấu nhé, đau mắt quá @@

 

Đồng phẳng là cùng trong một mặt phẳng, còn nó nằm ở dưới đất, trên giời hay ở dưới ...ao, đều Fillet hết!  :) :) :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×